Merge openipmi from Debian unstable for 22.04

Bug #1946881 reported by Bryce Harrington
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
openipmi (Ubuntu)
Undecided
Utkarsh Gupta

Bug Description

Upstream: 2.0.31
Debian: 2.0.29-0.1
Ubuntu: 2.0.29-0.1ubuntu4

Debian typically updates openipmi every 7 months on average, but it was last updated 20.07 and looks overdue. There is a new upstream version, however, so may be worth going ahead of debian and/or updating it in Debian and syncing it.

### New Debian Changes ###

openipmi (2.0.29-0.1) unstable; urgency=medium

  [ Sergio Durigan Junior ]
  * Non-maintainer upload.
  * d/watch: Update URL, since sf.net is giving a 404.
  * New upstream version 2.0.29. (Closes: #946059)
  * d/control: Add libreadline-dev to Build-Depends.
    The package doesn't use libedit anymore.
    Thanks to Christian Ehrhardt <email address hidden>
  * d/control: Bump debhelper to 13; use debhelper-compat.
  * d/rules: Disable the Python support.
    The Python support is now on by default, and historically we don't
    ship it, so just disable it.
    Thanks to Christian Ehrhardt <email address hidden>
  * d/rules: Adjust call to dh_install to use -a instead of -s.
    The '-s' option has been deprecated.
  * d/openipmi.init: Add check for systemd-udev.
    Even though udevadm and systemd-udev are distributed by the same
    package, it's a good idea to also check for the systemd-related udev
    binary, just in case.
    Thanks to Richard Laager <email address hidden> (Closes: #939739)
  * d/control: Bump Standards-Version to 4.5.
  * d/control: Add Vcs-* fields.
  * d/openipmi.init: Remove erroneous '$' prefix when printing a string.
    (Closes: #920461)
  * d/watch: Use QA's sf.net redirector.

  [ Christian Ehrhardt ]
  * d/openipmi.init: fix various issues identified upstream (LP: #1844448)
    Debians and upstreams init file diverged a long time ago, so it is hard
    to fully unify them. But we can follow upstreams changes and apply it
    to d/openipmi.init.

 -- Sergio Durigan Junior <email address hidden> Tue, 07 Jul 2020 22:28:53 -0400

openipmi (2.0.25-2.1) unstable; urgency=medium

  * Non-maintainer upload, with pre-approval from current maintainer.
  * Increase MAX_CONFIG_LINE from 1024 to 10240, patching
    lanserv/OpenIPMI/serv.h, which makes it possible to have long enough
    command line when using ipmi_sim (Closes: #923873).

 -- Thomas Goirand <email address hidden> Wed, 27 Mar 2019 22:57:19 +0100

openipmi (2.0.25-2) unstable; urgency=medium

  * Fixed openipmi init file for other archs. Thanks Majon!
    closes: Bug#875537
  * debian/copyright change to dep5 format

 -- Noël Köthe <email address hidden> Sat, 19 May 2018 11:04:51 +0200

openipmi (2.0.25-1) unstable; urgency=medium

  * new upstream release from 2018-04-16
  * remove upstream included
    patches/0001-Add-openssl-1.1.0-support.patch
  * debian/openipmi.init fix lsb headers. Thanks Nishanth
    closes: Bug#829037
  * openipmi: fix upstream bugs and stop using legacy paths
    Thanks Nishanth again;) closes: Bug#829028
  * move pkg-config files to a multiarch location. Thanks Helmut
    closes: Bug#852739
  * debian/control updated Homepage: which isn't available via https
  * debian/watch fixed/updated to get it working again

 -- Noël Köthe <email address hidden> Fri, 18 May 2018 13:44:36 +0200

openipmi (2.0.22-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add OpenSSL 1.1.0 support (Closes: #828469).

 -- Sebastian Andrzej Siewior <email address hidden> Wed, 14 Dec 2016 22:19:50 +0100

openipmi (2.0.22-1) unstable; urgency=medium

  * new upstream release from 2016-06-01
    - removed configure patch (included in this version)
  * ACK NMUs. Thanks Christoph. closes: #818004, #819105
  * debian/control updated Standards-Version, no changes needed
  * debian/control change libopenipmi0 Section to libs from override
  * debian/watch updated
  * debian/control fixed lintian warnings/information:
    binary-control-field-duplicates-source, debhelper-but-no-misc-depends,
  * debian/rules fixed lintian warning debian-rules-missing-recommended-target

 -- Noël Köthe <email address hidden> Sun, 03 Jul 2016 19:04:46 +0200

openipmi (2.0.21-1.2) unstable; urgency=medium

  * Re-add accidentally deleted debian/*.files. Sorry! Closes: #819105

 -- Christoph Berg <email address hidden> Thu, 24 Mar 2016 17:55:19 +0100

openipmi (2.0.21-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix substitution of OPENIPMI_VERSION_ variables in configure.ac.
    Closes: #818004

### Old Ubuntu Delta ###

openipmi (2.0.29-0.1ubuntu4) impish; urgency=medium

  * No-change rebuild to build packages with zstd compression.

 -- Matthias Klose <email address hidden> Thu, 07 Oct 2021 12:21:56 +0200

openipmi (2.0.29-0.1ubuntu3) hirsute; urgency=medium

  * No-change upload to build against net-snmp on armhf.

 -- Sergio Durigan Junior <email address hidden> Thu, 07 Jan 2021 20:06:37 -0500

openipmi (2.0.29-0.1ubuntu2) hirsute; urgency=medium

  * No-change upload due to net-snmp transition.

 -- Sergio Durigan Junior <email address hidden> Thu, 07 Jan 2021 15:05:06 -0500

openipmi (2.0.29-0.1ubuntu1) groovy; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - debian/patches/fix_pthread_pkg_config.patch: fix pkg-config file:
      Upstream's OpenIPMIpthread.pc.in file passes '-pthread' on
      CFLAGS, but not on LDFLAGS. Even though this might be OK, GCC
      recommends that, when '-pthread' is used, it should be passed on
      CFLAGS and LDFLAGS. This patch does that.
  * Dropped changes, accepted by Debian.
    - d/openipmi.init: fix various issues identified upstream (LP #1844448)
    - New upstream release 2.0.27
    - d/rules: disable the now default-on python support
    - d/control: now needs libreadline-dev as build-depends
    - d/p/sample-fix-readline-include-in-ipmi_serial_bmc_emu.c.patch:
      fix readline include in ipmi_serial_bmc_emu.c

 -- Sergio Durigan Junior <email address hidden> Wed, 05 Aug 2020 13:07:18 -0400

Utkarsh Gupta (utkarsh)
Changed in openipmi (Ubuntu):
assignee: nobody → Utkarsh Gupta (utkarsh)
Bryce Harrington (bryce)
description: updated
description: updated
Changed in openipmi (Ubuntu):
milestone: none → ubuntu-21.12
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers